summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJenkins <jenkins@review.openstack.org>2015-07-28 10:28:16 +0000
committerGerrit Code Review <review@openstack.org>2015-07-28 10:28:16 +0000
commitc3929c575bac6f45c36970dceb074ac692ff3ad0 (patch)
tree3c95ff922d6a91c8656ea1b93967306068956cd9
parent0fe6d2f8c8c838aa200151b49852adac5d1a4ae3 (diff)
parente278eb97efef77e97896572bb6095d971e30ebb7 (diff)
Merge "Deprecate Spark 0.x and 1.0.x images"3.0.0.0b2
-rwxr-xr-xelements/hadoop-cdh/root.d/0-check-hadoop-cdh7
-rwxr-xr-xelements/spark/root.d/0-check-spark22
2 files changed, 29 insertions, 0 deletions
diff --git a/elements/hadoop-cdh/root.d/0-check-hadoop-cdh b/elements/hadoop-cdh/root.d/0-check-hadoop-cdh
index 278b9b8..e7ad22d 100755
--- a/elements/hadoop-cdh/root.d/0-check-hadoop-cdh
+++ b/elements/hadoop-cdh/root.d/0-check-hadoop-cdh
@@ -6,6 +6,13 @@ fi
6set -eu 6set -eu
7set -o pipefail 7set -o pipefail
8 8
9echo "##############################################################"
10echo "## ##"
11echo "## WARNING: this element (hadoop-cdh) has been deprecated ##"
12echo "## Please use the hadoop-cloudera element ##"
13echo "## ##"
14echo "##############################################################"
15
9if [ -z "${JAVA_DOWNLOAD_URL:-}" ]; then 16if [ -z "${JAVA_DOWNLOAD_URL:-}" ]; then
10 if [ -z "${JAVA_FILE:-}" ]; then 17 if [ -z "${JAVA_FILE:-}" ]; then
11 echo "JAVA_FILE and JAVA_DOWNLOAD_URL are not set. Proceeding with distro native Java." 18 echo "JAVA_FILE and JAVA_DOWNLOAD_URL are not set. Proceeding with distro native Java."
diff --git a/elements/spark/root.d/0-check-spark b/elements/spark/root.d/0-check-spark
index e07fff3..2c13e06 100755
--- a/elements/spark/root.d/0-check-spark
+++ b/elements/spark/root.d/0-check-spark
@@ -6,6 +6,28 @@ fi
6set -eu 6set -eu
7set -o pipefail 7set -o pipefail
8 8
9print_deprecation_warning() {
10 echo "##############################################################"
11 echo "## ##"
12 echo "## WARNING: the version of Spark being included in this ##"
13 echo "## image has been deprecated in the Sahara Spark ##"
14 echo "## plugin. Please consider upgrading to a ##"
15 echo "## supported version. ##"
16 echo "## ##"
17 echo "## See: https://wiki.openstack.org/wiki/Sahara/SparkPlugin ##"
18 echo "## ##"
19 echo "##############################################################"
20}
21
22# Check for deprecated versions in the Spark plugin
23major_v=$(echo $DIB_SPARK_VERSION | cut -f1 -d.)
24minor_v=$(echo $DIB_SPARK_VERSION | cut -f2 -d.)
25if [ "${major_v}" == "0" ]; then
26 print_deprecation_warning
27elif [ "${major_v}" == "1" -a "${minor_v}" == "0" ]; then
28 print_deprecation_warning
29fi
30
9if [ -z "${SPARK_DOWNLOAD_URL:-}" -a -z "${DIB_CDH_VERSION:-}" ]; then 31if [ -z "${SPARK_DOWNLOAD_URL:-}" -a -z "${DIB_CDH_VERSION:-}" ]; then
10 echo -e "Neither DIB_CDH_VERSION nor SPARK_DOWNLOAD_URL are set. Impossible to install Spark.\nAborting" 32 echo -e "Neither DIB_CDH_VERSION nor SPARK_DOWNLOAD_URL are set. Impossible to install Spark.\nAborting"
11 exit 1 33 exit 1